Use this API to permenantly delete a user from OneLogin.
Be Careful
This operation can not be undone. The user will be deleted and will no longer be able to log in.
Resource URL
https://<subdomain>.onelogin.com/api/2/users/:idHeader Parameter
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Resource Parameter
id required integer | Set to the id of the user that you want to delete. If you don't know the user's id, use the List Users API call to return all users and their id values. |
Sample Response
- 204 No Content
- 401 Unauthorized
- 404 Not Found
On success, no content is returned in the response body.
Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"name": "UnauthorizedError",
"statusCode": 401
}{
"message": "The resource with the given id could not be found",
"name": "NotFoundError",
"statusCode": 404
}Postman Collection
Replace sample variables indicated by < > in the sample request body with your actual values. Also, be sure to set Postman-specific environment variables indicated by {{ }}.
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
curl 'https://<subdomain>.onelogin.com/api/2/users/<id>' \
-X DELETE \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.